Bug 211405 - If groupd segfaults, dump the most recent log information
If groupd segfaults, dump the most recent log information
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Peterson
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-18 18:01 EDT by Robert Peterson
Modified: 2009-04-16 18:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:58:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the problem (2.22 KB, patch)
2006-10-18 18:01 EDT, Robert Peterson
no flags Details | Diff

  None (edit)
Description Robert Peterson 2006-10-18 18:01:13 EDT
Description of problem:
If the cluster group daemon (groupd) segfaults for some reason, it
just silently ends with no information on what caused the problem.

Version-Release number of selected component (if applicable):
RHEL5 Beta 1 with latest cvs code from 18 Oct 2006

How reproducible:
Happens only if a segfault occurs in groupd, which is hopefully rare.

Steps to Reproduce:
1. killall -SEGV groupd
  
Actual results:
No information is given as to what group messages were recently
received and processes.

Expected results:
A log file should be generated.

Additional info:
I've been using a patch for this for a long time, which was
reviewed and acked, but haven't committed it yet.  See attached.
Comment 1 Robert Peterson 2006-10-18 18:01:13 EDT
Created attachment 138841 [details]
patch to fix the problem
Comment 2 Robert Peterson 2006-10-20 11:44:53 EDT
Fix committed to cvs; changing status to modified.
Comment 3 Kiersten (Kerri) Anderson 2007-04-23 12:50:07 EDT
Fixing Product Name.  Cluster Suite was merged into Red Hat Enterpise Linux for
5.0.  In addition dlm, fence and ccs were merged into the cman package, so
bugzilla should reflect package name where those utilities are located.
Comment 5 RHEL Product and Program Management 2007-05-01 12:26:29 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 RHEL Product and Program Management 2007-05-01 12:26:45 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2007-11-07 11:58:51 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0575.html

Note You need to log in before you can comment on or make changes to this bug.